## autoimport 0.1.1

=== DESCRIPTION ===
Package: autoimport
Version: 0.1.1
Title: Automatic Generation of @importFrom Tags
Authors@R: 
    c(person(given = "Dan",
             family = "Chaltiel",
             role = c("aut", "cre"),
             email = "dan.chaltiel@gmail.com",
             comment = c(ORCID = "0000-0003-3488-779X")))
Description: A toolbox to read all R files inside a package and
    automatically generate @importFrom 'roxygen2' tags in the right place. 
    Includes a 'shiny' application to review the changes before applying them.
License: GPL-3
URL: https://github.com/DanChaltiel/autoimport,
        https://danchaltiel.github.io/autoimport/
BugReports: https://github.com/DanChaltiel/autoimport/issues
Depends: R (>= 3.6.0)
Imports: cli, desc, diffviewer, digest, dplyr, fs, glue, purrr, readr,
        rlang, shiny, stringr, tibble, tidyr, utils
Suggests: callr, covr, devtools, knitr, pkgload, rstudioapi, testthat
        (>= 3.0.0), tidyverse
Encoding: UTF-8
RoxygenNote: 7.3.2
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2025-02-01 09:31:57 UTC; Dan
Author: Dan Chaltiel [aut, cre] (<https://orcid.org/0000-0003-3488-779X>)
Maintainer: Dan Chaltiel <dan.chaltiel@gmail.com>
Repository: CRAN
Date/Publication: 2025-02-03 12:00:02 UTC

=== tests/testthat/source/DESCRIPTION ===
Package: autoimport_test
Version: 0.0.1.9000
Title: Automatically generate @importFrom roxygen tags
Authors@R: 
    c(person(given = "Dan",
             family = "Chaltiel",
             role = c("aut", "cre"),
             email = "dan.chaltiel@gmail.com",
             comment = c(ORCID = "0000-0003-3488-779X")))
Description: A toolbox to read all R files inside a package and
    automatically generate @importFrom roxygen in the right place.
License: GPL-3
Depends:
    R (>= 3.6.0)
Imports:
    cli,
    desc,
    diffviewer,
    digest,
    dplyr,
    glue,
    purrr,
    readr,
    rlang,
    shiny,
    stringr,
    tibble,
    tidyr,
    utils
Suggests: 
    callr,
    covr,
    devtools,
    knitr,
    pkgload,
    rstudioapi,
    testthat (>= 3.0.0),
    tidyverse
Encoding: UTF-8
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.3.2
Config/testthat/edition: 3

## autoimport 1.2.2

=== Makefile ===
.DEFAULT_GOAL := test
isort = pdm run isort --skip tests/assets src tests setup.py
black = pdm run black --exclude assets --target-version py39 src tests

.PHONY: install
install:
	pdm install --dev
	pdm run pre-commit install

.PHONY: update
update:
	@echo "-------------------------"
	@echo "- Updating dependencies -"
	@echo "-------------------------"

	pdm update --no-sync
	pdm sync --clean

	@echo ""

.PHONY: format
format:
	@echo "----------------------"
	@echo "- Formating the code -"
	@echo "----------------------"

	$(isort)
	$(black)

	@echo ""

.PHONY: lint
lint:
	@echo "--------------------"
	@echo "- Testing the lint -"
	@echo "--------------------"

	pdm run flakehell lint --exclude assets src/ tests/ setup.py
	$(isort) --check-only --df
	$(black) --check --diff

	@echo ""

.PHONY: mypy
mypy:
	@echo "----------------"
	@echo "- Testing mypy -"
	@echo "----------------"

	pdm run mypy src tests

	@echo ""

.PHONY: test
test: test-code test-examples

.PHONY: test-code
test-code:
	@echo "----------------"
	@echo "- Testing code -"
	@echo "----------------"

	pdm run pytest --cov-report term-missing --cov src tests ${ARGS}

	@echo ""

.PHONY: test-examples
test-examples:
	@echo "--------------------"
	@echo "- Testing examples -"
	@echo "--------------------"

	@find docs/examples -type f -name '*.py' | xargs -I'{}' sh -c 'python {} >/dev/null 2>&1 || (echo "{} failed" ; exit 1)'

	@echo ""

.PHONY: all
all: lint mypy test security

.PHONY: clean
clean:
	@echo "---------------------------"
	@echo "- Cleaning unwanted files -"
	@echo "---------------------------"

	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*.rej' `
	rm -rf `find . -type d -name '*.egg-info' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -rf .cache
	rm -rf .pytest_cache
	rm -rf .mypy_cache
	rm -rf htmlcov
	rm -f .coverage
	rm -f .coverage.*
	rm -rf build
	rm -rf dist
	rm -f src/*.c pydantic/*.so
	rm -rf site
	rm -rf docs/_build
	rm -rf docs/.changelog.md docs/.version.md docs/.tmp_schema_mappings.html
	rm -rf codecov.sh
	rm -rf coverage.xml

	@echo ""

.PHONY: docs
docs: test-examples
	@echo "-------------------------"
	@echo "- Serving documentation -"
	@echo "-------------------------"

	pdm run mkdocs serve

	@echo ""

.PHONY: bump
bump: pull-master bump-version build-package upload-pypi clean

.PHONY: pull-master
pull-master:
	@echo "------------------------"
	@echo "- Updating repository  -"
	@echo "------------------------"

	git checkout master
	git pull

	@echo ""

.PHONY: build-package
build-package: clean
	@echo "------------------------"
	@echo "- Building the package -"
	@echo "------------------------"

	pdm build

	@echo ""

.PHONY: build-docs
build-docs: test-examples
	@echo "--------------------------"
	@echo "- Building documentation -"
	@echo "--------------------------"

	pdm run mkdocs build

	@echo ""

.PHONY: upload-pypi
upload-pypi:
	@echo "-----------------------------"
	@echo "- Uploading package to pypi -"
	@echo "-----------------------------"

	twine upload -r pypi dist/*

	@echo ""

.PHONY: upload-testing-pypi
upload-testing-pypi:
	@echo "-------------------------------------"
	@echo "- Uploading package to pypi testing -"
	@echo "-------------------------------------"

	twine upload -r testpypi dist/*

	@echo ""

.PHONY: bump-version
bump-version:
	@echo "---------------------------"
	@echo "- Bumping program version -"
	@echo "---------------------------"

	cz bump --changelog --no-verify
	git push --tags
	git push

	@echo ""

.PHONY: version
version:
	@python -c "import repository_pattern.version; print(repository_pattern.version.version_info())"

.PHONY: security
security:
	@echo "--------------------"
	@echo "- Testing security -"
	@echo "--------------------"

	pdm run safety check
	@echo ""
	pdm run bandit -r src

	@echo ""

.PHONY: release
release:
	@echo "----------------------"
	@echo "- Generating Release -"
	@echo "----------------------"

	pdm run cz bump --changelog

	@echo ""

=== debian/changelog ===
autoimport (1.2.2-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 10 Aug 2022 12:18:13 +0100

autoimport (1.2.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1015811)

 -- Edward Betts <edward@4angle.com>  Thu, 28 Jul 2022 15:49:18 +0100

=== debian/control ===
Source: autoimport
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-pdm-pep517
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/lyz-code/autoimport
Vcs-Browser: https://salsa.debian.org/python-team/packages/autoimport
Vcs-Git: https://salsa.debian.org/python-team/packages/autoimport.git

Package: autoimport
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, autoflake
Description: Automatically import missing Python libraries
 Throughout the development of a Python program you continuously need to manage
 the Python import statements either because you need one new object or because
 you no longer need it. This means that you need to stop writing whatever you
 were writing, go to the top of the file, create or remove the import statement
 and then resume coding.
 .
 This workflow break is annoying and almost always unnecessary. 'autoimport'
 solves this problem if you execute it whenever you have an import error, for
 example by configuring your editor to run it when saving the file.

## autoimport 1.2.3

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,28 @@
 	pdm update --no-sync
 	pdm sync --clean
 
-	@echo ""
+	@echo "\a"
+
+.PHONY: update-production
+update-production:
+	@echo "------------------------------------"
+	@echo "- Updating production dependencies -"
+	@echo "------------------------------------"
+
+	pdm update --production --no-sync
+	pdm sync --clean
+
+	@echo "\a"
+
+.PHONY: outdated
+outdated:
+	@echo "-------------------------"
+	@echo "- Outdated dependencies -"
+	@echo "-------------------------"
+
+	pdm update --dry-run --unconstrained
+
+	@echo "\a"
 
 .PHONY: format
 format:
@@ -35,7 +56,7 @@
 	@echo "- Testing the lint -"
 	@echo "--------------------"
 
-	pdm run flakehell lint --exclude assets src/ tests/ setup.py
+	pdm run flakeheaven lint --exclude assets src/ tests/ setup.py
 	$(isort) --check-only --df
 	$(black) --check --diff
 
@@ -54,6 +75,8 @@
 .PHONY: test
 test: test-code test-examples
 
+	@echo "\a"
+
 .PHONY: test-code
 test-code:
 	@echo "----------------"
@@ -70,12 +93,17 @@
 	@echo "- Testing examples -"
 	@echo "--------------------"
 
-	@find docs/examples -type f -name '*.py' | xargs -I'{}' sh -c 'python {} >/dev/null 2>&1 || (echo "{} failed" ; exit 1)'
+	# @find docs/examples -type f -name '*.py' | xargs -I'{}' sh -c 'echo {}; pdm run python {} >/dev/null 2>&1 || (echo "{} failed" ; exit 1)'
+	@echo ""
+
+	# pdm run pytest docs/examples/*
 
 	@echo ""
 
 .PHONY: all
-all: lint mypy test security
+all: lint mypy test security build-docs
+
+	@echo "\a"
 
 .PHONY: clean
 clean:
@@ -117,15 +145,18 @@
 	@echo ""
 
 .PHONY: bump
-bump: pull-master bump-version build-package upload-pypi clean
-
-.PHONY: pull-master
-pull-master:
+bump: pull-main bump-version build-package upload-pypi clean
+
+	@echo "\a"
+
+
+.PHONY: pull-main
+pull-main:
 	@echo "------------------------"
 	@echo "- Updating repository  -"
 	@echo "------------------------"
 
-	git checkout master
+	git checkout main
 	git pull
 
 	@echo ""
@@ -141,12 +172,12 @@
 	@echo ""
 
 .PHONY: build-docs
-build-docs: test-examples
+build-docs:
 	@echo "--------------------------"
 	@echo "- Building documentation -"
 	@echo "--------------------------"
 
-	pdm run mkdocs build
+	pdm run mkdocs build --strict
 
 	@echo ""

=== debian/changelog ===
autoimport (1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Add superficial autopkgtest.
  * Add two missing dependencies: python3-maison and python3-pyprojroot.

 -- Edward Betts <edward@4angle.com>  Sun, 25 Sep 2022 20:59:50 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,11 @@
 
 Package: autoimport
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, autoflake
+Depends: autoflake,
+         python3-maison,
+         python3-pyprojroot,
+         ${misc:Depends},
+         ${python3:Depends}
 Description: Automatically import missing Python libraries
  Throughout the development of a Python program you continuously need to manage
  the Python import statements either because you need one new object or because

## autoimport 1.3.1

=== Makefile ===
--- 
+++ 
@@ -115,6 +115,7 @@
 	rm -f `find . -type f -name '*.py[co]' `
 	rm -f `find . -type f -name '*.rej' `
 	rm -rf `find . -type d -name '*.egg-info' `
+	rm -rf `find . -type d -name '.mypy_cache' `
 	rm -f `find . -type f -name '*~' `
 	rm -f `find . -type f -name '.*~' `
 	rm -rf .cache

=== debian/changelog ===
autoimport (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 17 Oct 2022 12:38:52 +0100

## autoimport 1.3.2

=== debian/changelog ===
autoimport (1.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 16 Nov 2022 11:15:38 +0000

## autoimport 1.3.3

=== debian/changelog ===
autoimport (1.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Thu, 16 Feb 2023 10:13:19 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-all,
                python3-pdm-pep517
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/lyz-code/autoimport
 Vcs-Browser: https://salsa.debian.org/python-team/packages/autoimport
 Vcs-Git: https://salsa.debian.org/python-team/packages/autoimport.git

## autoimport 1.4.0

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	@echo "- Updating dependencies -"
 	@echo "-------------------------"
 
-	pdm update --no-sync
+	pdm update --no-sync --update-eager
 	pdm sync --clean
 
 	@echo "\a"
@@ -24,7 +24,7 @@
 	@echo "- Updating production dependencies -"
 	@echo "------------------------------------"
 
-	pdm update --production --no-sync
+	pdm update --production --no-sync --update-eager
 	pdm sync --clean
 
 	@echo "\a"

=== debian/changelog ===
autoimport (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch Build-Depends on python3-pdm-pep517 to python3-pdm-backend because
    upstream changed build systems.

 -- Edward Betts <edward@4angle.com>  Sun, 03 Dec 2023 08:39:25 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-pdm-pep517
+               python3-pdm-backend
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/lyz-code/autoimport

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=autoimport

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf autoimport.egg-info/

override_dh_auto_test:

## autoimport 1.5.0

=== debian/changelog ===
autoimport (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Sat, 11 May 2024 08:29:55 +0100

## autoimport 1.6.0

=== Makefile ===
--- 
+++ 
@@ -224,7 +224,10 @@
 	@echo "- Testing security -"
 	@echo "--------------------"
 
-	pdm run safety check
+	# Ignoring 70612 (CVE-2019-8341). It is disputed and no fix is apparent, and
+	# the related dependencies are only used at dev time so do not present as
+	# great a risk to users of autoimport.
+	pdm run safety check --ignore 70612
 	@echo ""
 	pdm run bandit -r src

=== debian/changelog ===
autoimport (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * Support maison 2.0.0.

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Aug 2024 09:07:18 +0100

autoimport (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 16 Jul 2024 16:01:01 +0900

=== debian/tests/control ===
Test-Command: autoimport
Depends: python3-all, @
Restrictions: superficial

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/autoimport-$1\.tar\.gz/ \
  https://github.com/lyz-code/autoimport/tags .*/v?(\d\S+)\.tar\.gz
